Bug 173268 - Windows: PATH environment variable requires to contain path to cygwin
Windows: PATH environment variable requires to contain path to cygwin
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Andrew Krasny
dlight-issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-29 13:45 UTC by Andrew Krasny
Modified: 2013-01-21 03:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2009-09-29 13:45:44 UTC
Execution should work without cygwin being in the PATH.
Comment 1 Andrew Krasny 2009-09-29 14:51:42 UTC
fix http://hg.netbeans.org/cnd-main/rev/979829d98d71
Comment 2 Quality Engineering 2009-10-01 00:48:16 UTC
Integrated into 'main-golden', will be available in build *200909301401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/979829d98d71
User: Andrew Krasny <akrasny@netbeans.org>
Log: IZ#173268 - Windows: PATH environment variable requires to contain path to cygwin
Comment 3 Quality Engineering 2009-10-05 08:50:15 UTC
Integrated into 'main-golden', will be available in build *200910030241* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c2a779e0fa81
User: Andrew Krasny <akrasny@netbeans.org>
Log: IZ#173268 - Windows: PATH environment variable requires to contain path to cygwin [refactoring]
Comment 4 Quality Engineering 2009-10-07 00:15:43 UTC
Integrated into 'main-golden', will be available in build *200910061401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/44a3bd454f1f
User: Jesse Glick <jglick@netbeans.org>
Log: akrasny's c2a779e0fa81 (#173268) broke test compilability.
Comment 5 zachsaw 2013-01-21 03:11:26 UTC
This 'fix' has really broken Netbeans on Cygwin.
It's due to this 'fix' that I now find it impossible to get my apps that require the updated libs from /usr/local/bin to run as the IDE insists on using those under /bin.

I've reported it here: http://netbeans.org/bugzilla/show_bug.cgi?id=225119


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo